package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFzqkms;

/**
 * 方案邻井复杂描述Service接口
 * 
 * @author ruoyi
 * @date 2026-02-28
 */
public interface ISjFzqkmsService 
{
    /**
     * 查询方案邻井复杂描述
     * 
     * @param id 方案邻井复杂描述主键
     * @return 方案邻井复杂描述
     */
    public SjFzqkms selectSjFzqkmsById(Long id);

    /**
     * 查询方案邻井复杂描述列表
     * 
     * @param sjFzqkms 方案邻井复杂描述
     * @return 方案邻井复杂描述集合
     */
    public List<SjFzqkms> selectSjFzqkmsList(SjFzqkms sjFzqkms);

    /**
     * 新增方案邻井复杂描述
     * 
     * @param sjFzqkms 方案邻井复杂描述
     * @return 结果
     */
    public int insertSjFzqkms(SjFzqkms sjFzqkms);

    /**
     * 修改方案邻井复杂描述
     * 
     * @param sjFzqkms 方案邻井复杂描述
     * @return 结果
     */
    public int updateSjFzqkms(SjFzqkms sjFzqkms);

    /**
     * 批量删除方案邻井复杂描述
     * 
     * @param ids 需要删除的方案邻井复杂描述主键集合
     * @return 结果
     */
    public int deleteSjFzqkmsByIds(Long[] ids);

    /**
     * 删除方案邻井复杂描述信息
     * 
     * @param id 方案邻井复杂描述主键
     * @return 结果
     */
    public int deleteSjFzqkmsById(Long id);
}
